<!DOCTYPE html>
<html>
<head>

	<!-- <meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1"> -->

	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	<!-- custom css -->
	<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->

	<title>Bootstrap Grid System</title>
</head>
<body class="text-center">
	<h1>Bootstrap Grid System</h1>

	<!-- Two columns start -->
	<h2>Two Columns</h2>
	<div class="container-fluid">
		<!-- row with two equally divided columns -->
		<h3>1:1 Ratio</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 col</div>
		</div>

		<!-- row with 2 columns divided into 1:2 ratio -->
		<h3>1:2 Ratio</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 columns</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 columns</div>
		</div>

		<!-- row with two columns divided in 1:3 ratio -->
		<h3>1:3 Ratio</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 columns</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 columns</div>
		</div>
	</div>


		<!-- Three columns part -->
		<h2>Three Columns</h2>
		<div class="container-fluid">
			<!-- row with 3 equal columns -->
			<h3>1:1:1 Ratio</h3>
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 Col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
			</div>

			<!-- row with 3 columns divided in 1:2:1 ratio -->
			<h3>1:2:1 Ratio</h3>
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
			</div>

			<!-- row with 3 columns divided in an uneven ratio -->
			<h3>Uneven Ratio</h3>
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 Col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-2">2 Col</div>
			</div>
		</div>

		<!-- Automatic Sizing Start -->
		<h2>Automatic Sizing</h2>
		<div class="container-fluid">
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<!-- col : automatic sizing of columns -->
			</div>
		</div>

		<!-- mobile responsive comlumns -->
		<!-- sm: small md: medium lg: large -->
		<h2>Mobile Responsive Columns</h2>
		<div class="container-fluid">
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
			</div>
		</div>

		<!-- multi-column layout -->
		<h2>Multi-column Layouts</h2>
		<div class="container-fluid">
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
			</div>
		</div>

		<!-- offsetting columns start -->
		<!-- offset: allows to create a specified amount of space from left side of a layer -->
		<h2>Offsetting Columns</h2>
		<div class="container-fluid">
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
				<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
				<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
			</div>
		</div>

		<!-- column orders start -->
		<h2>Column Orders</h2>
		<div class="container-fluid">
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
			</div>
		</div>

		<!-- C.R.C: Container before rows, rows before column -->

		
	 <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
    	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>